#include <windows.h>
#include "resource.h"
#include "SelectFlatsDlg.h"

CSelectFlatsDlg::CSelectFlatsDlg (HINSTANCE hInstance) : CQuickDialog(IDD_SELECT_FLATS,hInstance)
{
	m_szFloor[0] = 0;
	m_szCeiling[0] = 0;
}

CSelectFlatsDlg::~CSelectFlatsDlg ()
{
}

VOID CSelectFlatsDlg::SetFlats (LPSTR lpszFloor, LPSTR lpszCeiling)
{
	lstrcpy(m_szFloor,lpszFloor);
	lstrcpy(m_szCeiling,lpszCeiling);
}

VOID CSelectFlatsDlg::GetFlats (LPSTR lpszFloor, LPSTR lpszCeiling)
{
	lstrcpy(lpszFloor,m_szFloor);
	lstrcpy(lpszCeiling,m_szCeiling);
}

VOID CSelectFlatsDlg::DlgCreate (VOID)
{
	m_hFloor = GetDlgItem(IDC_FLOOR);
	m_hCeiling = GetDlgItem(IDC_CEILING);

	SetWindowText(m_hFloor,m_szFloor);
	SetWindowText(m_hCeiling,m_szCeiling);
}

VOID CSelectFlatsDlg::DlgCommand (USHORT id, USHORT iCode)
{
	INT c;
	switch(id)
	{
	case IDOK:
		c = GetWindowTextLength(m_hFloor);
		if(c == 0 || c > 8)
			break;
		c = GetWindowTextLength(m_hCeiling);
		if(c == 0 || c > 8)
			break;
		GetWindowText(m_hFloor,m_szFloor,16);
		GetWindowText(m_hCeiling,m_szCeiling,16);
		End(TRUE);
		break;
	case IDCANCEL:
		End(FALSE);
		break;
	}
}