#include "..\..\Library\QuickDialog.h"

#include "..\MapConvert.h"
#include "..\WolfMap.h"

class COptionsDlg : public CQuickDialog
{
protected:
	CWolfMap* m_lpMap;

	HWND m_hMap, m_hLevel, m_hFile;
	HWND m_hTypeDoom, m_hTypeZDoom;
	HWND m_hAutoDoors, m_hFloorZero;
	HWND m_hFullConversion;

	INT m_iConversionType;
	CHAR m_szMap[16], m_szLevel[16], m_szOutput[256];

	BOOL m_bFullConversion;
	BOOL m_bAutoDoors;
	BOOL m_bFloorZero;

public:
	COptionsDlg (HINSTANCE hInstance, CWolfMap* lpMap);
	~COptionsDlg ();

	INT GetConversionType (VOID);
	VOID SetConversionType (INT iConversionType);

	BOOL GetFullConversion (VOID);
	VOID SetFullConversion (BOOL bFullConversion);

	VOID GetMap (LPSTR lpszMap);
	VOID GetLevel (LPSTR lpszLevel);
	VOID GetOutput (LPSTR lpszOutput);

	BOOL UseAutoDoors (VOID);
	BOOL AllowFloorZero (VOID);

protected:
	virtual VOID DlgCreate (VOID);
	virtual VOID DlgCommand (USHORT id, USHORT iCode);

	static BOOL WINAPI FillMapNames (LPMAPTYPE lpMap, LPVOID lpParam);
};