#include <windows.h>
#include "resource.h"
#include "OtherOptionsDlg.h"

COtherOptionsDlg::COtherOptionsDlg (HINSTANCE hInstance) : CQuickDialog(IDD_OTHER_OPTIONS,hInstance)
{
	m_bUseUpperPanels = TRUE;
	m_bBuildDoorSockets = TRUE;
}

COtherOptionsDlg::~COtherOptionsDlg ()
{
}

VOID COtherOptionsDlg::SetUpperPanels (BOOL bUpperPanels)
{
	m_bUseUpperPanels = bUpperPanels;
}

BOOL COtherOptionsDlg::GetUpperPanels (VOID)
{
	return m_bUseUpperPanels;
}

VOID COtherOptionsDlg::SetDoorSockets (BOOL bDoorSockets)
{
	m_bBuildDoorSockets = bDoorSockets;
}

BOOL COtherOptionsDlg::GetDoorSockets (VOID)
{
	return m_bBuildDoorSockets;
}

VOID COtherOptionsDlg::DlgCreate (VOID)
{
	m_hUpperPanels = GetDlgItem(IDC_UPPER_PANELS);
	m_hDoorSockets = GetDlgItem(IDC_DOOR_SOCKETS);

	SendMessage(m_hUpperPanels,BM_SETCHECK,m_bUseUpperPanels,0);
	SendMessage(m_hDoorSockets,BM_SETCHECK,m_bBuildDoorSockets,0);
}

VOID COtherOptionsDlg::DlgCommand (USHORT id, USHORT iCode)
{
	switch(id)
	{
	case IDOK:
		m_bUseUpperPanels = (BOOL)SendMessage(m_hUpperPanels,BM_GETCHECK,0,0);
		m_bBuildDoorSockets = (BOOL)SendMessage(m_hDoorSockets,BM_GETCHECK,0,0);
		End(TRUE);
		break;
	case IDCANCEL:
		End(FALSE);
		break;
	}
}